MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
TagFile.hxx File Reference
`#include "check.h"`
Include dependency graph for TagFile.hxx:

Go to the source code of this file.

## Functions
bool | tag_file_scan (Path path, const TagHandler &handler, void *handler_ctx)
| Scan the tags of a song file. More...
bool | tag_file_scan (Path path, TagBuilder &builder)
| Scan the tags of a song file. More...

## Function Documentation

bool tag_file_scan | ( | Path | path,
|  | const TagHandler & | handler,
|  | void * | handler_ctx
| ) |  |

Scan the tags of a song file.

Invokes matching decoder plugins, but does not invoke the special "APE" and "ID3" scanners.

Returns
  true if the file was recognized (even if no metadata was found)

bool tag_file_scan | ( | Path | path,
|  | TagBuilder & | builder
| ) |  |

Scan the tags of a song file.

Invokes matching decoder plugins, and falls back to generic scanners (APE and ID3) if no tags were found (but the file was recognized).

Returns
  true if the file was recognized (even if no metadata was found)